This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846887 - Test case failure: [TestRun][TESTING][My Runs]clone my run
Test case failure: [TestRun][TESTING][My Runs]clone my run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.0
Unspecified Linux
high Severity high
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Regression
: 847184 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 22:34 EDT by wangjing
Modified: 2016-06-23 00:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847239 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
return KeyError page (60.79 KB, text/html)
2012-08-08 22:34 EDT, wangjing
no flags Details

  None (edit)
Description wangjing 2012-08-08 22:34:36 EDT
Created attachment 603154 [details]
return KeyError page

Filed from caserun (https://tcms.engineering.redhat.com/case/157089/?from_plan=6692)

Version-Release number of selected component (if applicable):
3.8.0-7

Steps to Reproduce: 
1.Click "TESTING" in the top menu.

2.Click "My Runs" from the drop down submenu.

3.Choose some run you want to clone.

4.Click "Clone" button.

5.Select product,version and build,the others keep default.

6.Click "Clone" button.



Actual results: 
In step 5: In the "Build" field,all the items which are not active also can be seen here.

After step 6:A "KeyError at /runs/clone/" page returned as attachment.

Expected results:
In step 5: In the "Build" field,all the items which are not active cannot be seen here.

After step 6, the runs chosen have been cloned and return to a page where
list the new runs.
Comment 1 Zheng Liu 2012-08-10 04:20:13 EDT
*** Bug 847184 has been marked as a duplicate of this bug. ***
Comment 2 Zheng Liu 2012-08-10 04:22:24 EDT
has been fixed. please verify in next release.
Comment 3 wangjing 2012-08-10 05:02:05 EDT
thus can be ingnored in this bug:
Actual results:"step 5: In the "Build" field,all the items which are not active also can be seen here."
Expected results:"step 5: In the "Build" field,all the items which are not active cannot be seen here."

I'v entered another bug 847239 for this problem.
sorry for it~
Comment 4 xubai 2012-08-15 00:07:02 EDT
Verify 3.8.0-8 on stage --> PASS

Verify steps:
1.Click "TESTING" in the top menu.

2.Click "My Runs" from the drop down submenu.

3.Choose some run you want to clone.

4.Click "Clone" button.

5.Select product,version and build,the others keep default.

6.Click "Clone" button.

Actural results:
After step 6, the runs chosen have been cloned and return to a page where
list the new runs.

Note You need to log in before you can comment on or make changes to this bug.